//
//  BTDevViewController.h
//  BTDemo
//
//  Created by etek on 18/9/11.
//  Copyright (c) 2018年 ETEK. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol BTDevViewControllerDelegate <NSObject>

- (void) disconnectDevice:(int)index;
- (void)onSendBuffer:(int)index buffer:(Byte*)buffer lenght:(int)lenght;

@end

@interface BTDevViewController : UIViewController {
@public
    //int       mDevTag;
    //NSString* mDevName;
}

@property (nonatomic, weak) id <BTDevViewControllerDelegate> mDelegate;

@property (strong, nonatomic) NSString* mDevName;
@property (nonatomic, assign) int mDevTag;

- (void) exitBTDevView;
- (void) updateCtrl;
- (void) updateRxData:(NSString*)data;
@end
