//
//  BTDevViewController.m
//  BTDemo
//
//  Created by etek on 18/9/11.
//  Copyright (c) 2018年 ETEK. All rights reserved.
//

#import "BTDevViewController.h"

@interface BTDevViewController ()
@property (weak, nonatomic) IBOutlet UILabel *ctrlRxOutput;
@property (weak, nonatomic) IBOutlet UILabel *ctrlTitl;

@end

@implementation BTDevViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    // Do any additional setup after loading the view.
}

- (void)viewDidLayoutSubviews {
    [self updateCtrl];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
 #pragma mark - Navigation
 
 // In a storyboard-based application, you will often want to do a little preparation before navigation
 - (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
 // Get the new view controller using [segue destinationViewController].
 // Pass the selected object to the new view controller.
 }
 */

- (void) updateCtrl {
    [_ctrlTitl setText:self.mDevName];
}

- (void) updateRxData:(NSString*)data {
    [_ctrlRxOutput setText:data];
}

- (void) exitBTDevView {
    [self.navigationController popToRootViewControllerAnimated:YES];
}

#pragma mark --> Function
- (IBAction)onBackButton:(id)sender {
    if ( _mDelegate != nil ) {
        [_mDelegate disconnectDevice:self.mDevTag];
    }
    //[self.navigationController popToRootViewControllerAnimated:YES];
}

- (IBAction)onDisconnectButton:(id)sender {
    if ( _mDelegate != nil ) {
        [_mDelegate disconnectDevice:self.mDevTag];
    }
    //[self.navigationController popToRootViewControllerAnimated:YES];
}

- (IBAction)onTxButton:(id)sender {
    UIButton* btn = (UIButton*)sender;
    [self updateRxData:@""];
    switch (btn.tag) {
        case 1:
        {
            int i = 0;
            Byte* buffer = malloc(5);
            buffer[i++] = 0x4E;
            buffer[i++] = 0x65;
            buffer[i++] = 0xB3;
            buffer[i++] = 0x9D;
            buffer[i++] = 0x2F;
            [_mDelegate onSendBuffer:_mDevTag buffer:buffer lenght:5];
        } break;
            
        case 2:
        {
            int i = 0;
            Byte* buffer = malloc(7);
            buffer[i++] = 0x49;
            buffer[i++] = 0x41;
            buffer[i++] = 0x5A;
            buffer[i++] = 0x53;
            buffer[i++] = 0x48;
            buffer[i++] = 0x20;
            buffer[i++] = 0x20;
            [_mDelegate onSendBuffer:_mDevTag buffer:buffer lenght:7];
        } break;
            
        case 3:
        {
            int i = 0;
            Byte* buffer = malloc(10);
            buffer[i++] = 0x53;
            buffer[i++] = 0x00;
            buffer[i++] = 0x00;
            buffer[i++] = 0x01;
            buffer[i++] = 0x2B;
            buffer[i++] = 0xF5;
            buffer[i++] = 0xFF;
            buffer[i++] = 0xFF;
            buffer[i++] = 0x04;
            buffer[i++] = 0xD2;
            [_mDelegate onSendBuffer:_mDevTag buffer:buffer lenght:10];
        } break;
            
        case 4:
        {
            int i = 0;
            Byte* buffer = malloc(1);
            buffer[i++] = 0x73;
            [_mDelegate onSendBuffer:_mDevTag buffer:buffer lenght:1];
        } break;
            
        default:
            break;
    }
    
}
@end
