//
//  DeviceInfoCell.m
//  BTDemo
//
//  Created by etek on 18/9/11.
//  Copyright (c) 2018年 ETEK. All rights reserved.
//

#import "DeviceInfoCell.h"


@interface DeviceInfoCell() {
    
}

@property (weak, nonatomic) IBOutlet UILabel *ctrlBtName;
@property (weak, nonatomic) IBOutlet UILabel *ctrlBtMac;
@property (weak, nonatomic) IBOutlet UILabel *ctrlBtRxInfo;
@property (weak, nonatomic) IBOutlet UIButton *ctrlBtnConnect;

@end

@implementation DeviceInfoCell

- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];
    
    // Configure the view for the selected state
}


+ (instancetype)cellWithTableCell:(UITableView*)tableView tag:(int)tag{
    static NSString* identifier = @"DevInfoCell";
    
    DeviceInfoCell* cell = [tableView dequeueReusableCellWithIdentifier:identifier];
    if ( cell != nil ) {
        [cell->_ctrlBtnConnect setTag:tag];
    }
    return cell;
}

- (void)updateCellInfo:(NSString*)name mac:(NSString*)mac rxinfo:(NSString*)rxinfo {
    [_ctrlBtName setText:name];
    [_ctrlBtMac setText:mac];
    [_ctrlBtRxInfo setText:rxinfo];
}

- (void)updateCellState:(NSString*)state {
    [_ctrlBtMac setText:state];
}

- (IBAction)onBleConnect:(id)sender {
    
    if ( _mDelegate == nil ) return;
    [_mDelegate onButtonClick:(int)_ctrlBtnConnect.tag];
}

@end
