//
//  BleDevice.h
//  BleWrapper
//
//  Created by etek on 18/8/29.
//  Copyright (c) 2018年 ETEK. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreBluetooth/CoreBluetooth.h>
#import "DevCharacteristic.h"

@interface BleDevice : NSObject {
    @public
    CBPeripheral   *mPeripheral;
    int             mState;
    NSMutableArray *mCharaArray;  // 设备特性列表
}

- (id) init;
- (id) initWith:(CBPeripheral*)peripheral state:(int)state;
- (int) addCharacteristic:(DevCharacteristic*)devCha;

@end
