//
//  BTInfo.h
//  BleWrapper
//
//  Created by etek on 18/9/6.
//  Copyright (c) 2018年 ETEK. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreBluetooth/CoreBluetooth.h>
#import "BleBase.h"

@interface BTInfo : NSObject {
    @public
    CBPeripheral     *mPer;
    CBCharacteristic *mChaRx;
    CBCharacteristic *mChaTx;
    NSString         *mParam;
    NSString         *mName;
    Byte             *mScanBuf;
    Byte             *mBleMac;
    int               mBufLen;
    int               mState;
    int               mTag;
    int               mTxAck;
}

- (id) initWith:(CBPeripheral*)per buffer:(Byte*)buffer buflen:(int)buflen state:(int)state;
- (void) updateScanBuf:(Byte*)buffer lenght:(int)lenght;
- (Boolean) setDevMac:(Byte*)mac lenght:(int)lenght;
@end
